{% extends 'partials/layout.html.twig' %}

{% block content %}
	{% set categories = [] %}
	{% set types = [] %}
	{% set statuses = [] %}
	{% set fields = [] %}
	{% for p in page.children %}
		

		{% for k, v in p.taxonomy.category %}
			{% set categories = categories|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.type %}
			{% set types = types|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.status %}
			{% set statuses = statuses|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.field %}
			{% set fields = fields|merge([v]) %}
		{% endfor %}
	{% endfor %}
	{% set finished = ('JOBTECH.TAXONOMY.COMPLETED'|t)%}
	{% set news = ('JOBTECH.TAXONOMY.CAT_NEWS'|t)%}
	{% set event = ('JOBTECH.TAXONOMY.CAT_EVENT'|t)%}

	{% set categories = categories|array_unique %}
	{% set types = types|array_unique %}
	{% set statuses = statuses|array_unique %}
	{% set fields = fields|array_unique %}

		
	<script src="{{ url('theme://js/Filter.js') }}"></script>
	<div class="page_site_content">		
		<div class="lg:w-1084px justify-center mx-auto ">					
			
			
			<div class="flex justify-center">	
				{% include('/partials/breadcrumbs.html.twig') %}
			</div>	
			<div id="main" class=" text-center">			
				<h1 class="font-roboto_slab text-20/24 uppercase mt-60px mb-30px font-black">
					{{page.header.custom.title|raw}}
				</h1>
				<h2 class="font-playfair font-normal mb-60px text-18/26  lg:text-40/45 mx-3">
					{{page.header.custom.text|raw}}
				</h2>
			</div>	
			<div class="mx-auto  rounded-md content-center p-10 flex-shrink  ">
				
				{% include('/partials/filter_tags.html.twig') with { 'name': 'JOBTECH.CONTENT.FILTER'|t} %}
				{% include('/partials/filter_tags.html.twig') with {'tags': types} %}
				
			</div>	



			<div id="component_list" class=" grid grid-cols-1 lg:grid-cols-2 gap-60px gap-y-0 lg:mx-60px lg:mb-60px mb-30px mx-3" >

				{% for p in page.children.order('header.date', 'desc') %}
				
					{% if (finished not in p.taxonomy.status) and (event not in p.taxonomy.category) %}				
					
										
						{% include('/partials/news_shortt.html.twig') with {'page': p} %}
						
					{% endif %}												
						

				{% endfor %}			
				
			</div>	

			
							
		</div>
	</div>

	
{% endblock %}
